
Audacious - Feature #1174

Make the file path in the "Song Info" window selectable text

July 24, 2022 14:51 - N Q

Status: Closed Start date: July 24, 2022

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudqt Estimated time: 0.00 hour

Target version: 4.3   

Affects version:    

Description

When wanting to add tags to a song, one might go in the Song Info dialog and naturally want to copy title and artist from the file path

on the left and paste them in the corresponding fields on the right.

It is possible to right click on the file path and copy it, but the path is URL-encoded (at least on Linux), making any non-ASCII

character be unreadable and it is impossible to copy only a part of the path this way.

History

#1 - July 26, 2022 22:13 - Thomas Lange

Please add a screenshot to clarify. I don't see URL-encoded file paths in the song info dialog.

Also are you using the Qt or GTK interface?

#2 - July 27, 2022 01:18 - N Q

- File Audacious_song_info.jpg added

Please disregard the second sentence of this bug report. I am using the Qt interface. I am talking about selecting the artist on the left, pressing

Ctrl+C, and then doing Ctrl+V in the Artist field on the right, see screenshot.

#3 - August 31, 2022 21:22 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to libaudqt

Fixed here:

https://github.com/audacious-media-player/audacious/commit/ddcbce7f9f4b219bb09d2c2be37363d526c0de1b

#4 - February 04, 2023 19:21 - Thomas Lange

- Affects version 4.2.1 added

- Affects version deleted (4.1)

#5 - February 04, 2023 19:21 - Thomas Lange

- Target version set to 4.2.1

- Affects version deleted (4.2.1)

#6 - February 06, 2023 21:04 - John Lindgren

- Target version changed from 4.2.1 to 4.3
